For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all financial accounts
        • GETGet a financial account by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all recurring resident charges
        • GETGet recurring resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
        • POSTCreate Resident Charge: Entrata
        • POSTCreate Recurring Charge: Entrata
        • POSTCreate Resident Payment: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataBilling and Payments

Create Resident Charge: Entrata

POST
/v1/resident-charges/entrata/
POST
/v1/resident-charges/entrata/
$curl -X POST https://api.propexo.com/v1/resident-charges/entrata/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
> "lease_id": "lease_1234567890abcdef",
> "charge_code_id": "charge_9876543210fedcba",
> "transaction_date": "2024-01-15T09:30:00Z",
> "amount_in_cents": 12500,
> "description": "January Rent Charge"
>}'
1{
2 "meta": {
3 "job_id": "job_20240115_093000_abc123"
4 },
5 "result": {
6 "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
7 "lease_id": "lease_1234567890abcdef",
8 "charge_code_id": "charge_9876543210fedcba",
9 "transaction_date": "2024-01-15T09:30:00Z",
10 "post_month": "2024-01-01",
11 "amount_in_cents": 12500,
12 "description": "January Rent Charge",
13 "third_party_charge_id": "tpcharge_001a2b3c4d5e",
14 "is_approval_required": false
15 }
16}
Create Resident Charge: Entrata | Method | |---| | artransactions/sendLeaseArTransactions | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Create Recurring Charge: Entrata

Next
Built with

Create Resident Charge: Entrata

Method
artransactions/sendLeaseArTransactions
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lease_idstringRequired
The Propexo unique identifier for the lease
charge_code_idstringRequired
The Propexo unique identifier for the charge code
transaction_datestringRequired
The transaction date of the resident charge. The timestamp will be stripped off and only the date will be used
amount_in_centsintegerRequired
The amount of the resident charge, in cents. A positive charge represents an increase of money owed. A negative charge represents a reduction of money owed
descriptionstringRequired
Description of the resident charge
post_monthstringOptional
The post month for the resident charge. The timestamp and day will be stripped off and only the month and year will be used
third_party_charge_idstringOptional
A unique value provided to Entrata to uniquely identify the transaction from your system. This can be an alphanumeric string. This does not become the ID of the transaction in Entrata. If not provided, Propexo will generate one
is_approval_requiredbooleanOptional
Whether or not the resident charge requires approval. This will require the charge be approved first before being posted to the ledger

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error